GEARMAN_WORKER_ADD_OPTIONS(3)

NAME
gearman_worker_add_options - Gearmand Documentation, http://gearman.info/

SYNOPSIS

#include <libgearman/gearman.h>

    type gearman_worker_options_t

    gearman_worker_options_t gearman_worker_options(const gearman_worker_st *worker)

    void gearman_worker_add_options(gearman_worker_st *worker, gearman_worker_options_t options)

    void gearman_worker_remove_options(gearman_worker_st *worker, gearman_worker_options_t options)

    void gearman_worker_set_options(gearman_worker_st *worker, gearman_worker_options_t options)

Deprecated since version 0.21.

DESCRIPTION

gearman_worker_options() returns the gearman_worker_options_t for gearman_worker_st. You enable options via gearman_worker_add_options() and disable options via gearman_worker_remove_options().

The currently supported options are:

Enable non-block IO for the worker.

    type GEARMAN_WORKER_GRAB_UNIQ

Only grab jobs that have been assigned unique values. This is useful for workers who only want to worker with background jobs.

    type GEARMAN_WORKER_TIMEOUT_RETURN

Has a return timeout been set for the worker.

RETURN VALUE

Various

HOME

To find out more information please check: http://gearman.info/

SEE ALSO:
        gearmand(8) libgearman(3)

AUTHOR
Data Differential http://www.datadifferential.com/

COPYRIGHT
2011-2014, Data Differential, http://www.datadifferential.com/